On Tue, Feb 26, 2019 at 9:52 AM John Reiser <jrei...@bitwagon.com> wrote:

> > Is it definitely the linking? Or should I check the compiler arguments
> as well?
>
> There are 8 libraries (-lQtTest -lQtCore -lQtGui -lxslt -lxml2 -lQtCore
> -lQtXmlPatterns -lQtXml)
> plus an explicit libapiextractor.so.0.10.1.  Did you run nine tests,
> replacing the pieces
> one-by-one with their Fedora 29 versions?
>

I'm not sure how to do that in a mock chroot... Right now I just noticed
that qt did not get rebuilt yet for F30 due to this check in the spec file:

+ grep '^#define QT_BUILD_KEY ' src/corelib/global/qconfig.h
#define QT_BUILD_KEY "x86_64 linux g++-9 full-config"
BUILDSTDERR: ++ grep '^#define QT_BUILD_KEY ' src/corelib/global/qconfig.h
BUILDSTDERR: ++ cut '-d ' -f5
QT_BUILD_KEY_COMPILER failure
+ QT_BUILD_KEY_COMPILER=g++-9
+ '[' g++-9 '!=' g++-4 ']'
+ echo 'QT_BUILD_KEY_COMPILER failure'
+ exit 1

I wonder if getting a good rebuild could fix the problem?

Thanks,
Richard
_______________________________________________
devel mailing list -- devel@lists.fedoraproject.org
To unsubscribe send an email to devel-le...@lists.fedoraproject.org
Fedora Code of Conduct: https://getfedora.org/code-of-conduct.html
List Guidelines: https://fedoraproject.org/wiki/Mailing_list_guidelines
List Archives: 
https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org

Reply via email to